# Command: erase

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    erase - Deletes a subsequece of a string or array.

Synopsis:

    (string1) a n erase -> (string2)
      [array1] a n erase -> [array2]

Examples:

      SLI ] [1 2 3 4 5 6] 5 1 erase ==
      [1 2 3 4 5]

Description:

      Erases n elements from the container, starting with element a.

Parameters:

      a	- index of the first element to be removed, starting with 0.
      n	- number of element to be removed.

SeeAlso:

- getinterval

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative